漏洞信息详情

AdPlug 缓冲区错误漏洞

  • CNNVD编号:CNNVD-201908-397
  • 危害等级: 高危
  • CVE编号: CVE-2019-14690
  • 漏洞类型: 缓冲区错误
  • 发布时间: 2019-08-06
  • 威胁类型: 远程
  • 更新时间: 2020-08-25
  • 厂        商:
  • 漏洞来源:

漏洞简介

AdPlug是一款使用C++编写的AdLib声音播放器库。

AdPlug 2.3.1版本中的bmf.cpp文件的‘CxadbmfPlayer::__bmf_convert_stream()’函数存在缓冲区错误漏洞。该漏洞源于网络系统或产品在内存上执行操作时,未正确验证数据边界,导致向关联的其他内存位置上执行了错误的读写操作。攻击者可利用该漏洞导致缓冲区溢出或堆溢出等。

漏洞公告

目前厂商暂未发布修复措施解决此安全问题,建议使用此软件的用户随时关注厂商主页或参考网址以获取解决办法:

https://github.com/adplug/adplug

参考网址

来源:github.com

链接:https://github.com/adplug/adplug/issues/85

来源:nvd.nist.gov

链接:https://nvd.nist.gov/vuln/detail/CVE-2019-14690

受影响实体

    暂无


补丁

    暂无

漏洞信息快速查询

相关漏洞

更多